Subject: 3.19 on Nokia n900: audio quality awful

From: [email-masked] (Pavel Machek)
Date: Tue, 6 Jan 2015 23:58:56 +0100

On Wed 2015-01-07 00:27:17, Aaro Koskinen wrote:
> On Tue, Jan 06, 2015 at 11:08:05PM +0100, Pavel Machek wrote:
> > On Tue 2015-01-06 22:57:30, Aaro Koskinen wrote:
> > > Hi,
> > > 
> > > On Tue, Jan 06, 2015 at 09:50:00PM +0100, Pavel Machek wrote:
> > > > PS: Unfortunately, N900 will not boot using nfsroot in 3.16+ at least,
> > > > and boot from MMC card is broken and has been for quite some time.
> > > 
> > > USB networking works fine with 3.19-rc3 and also MMC card rootfs.
> > 
> > Does nfsroot work for you? USB networking works as a module but not
> > build-in. [Patch is available for this one.]
> > 
> > u-SD card seems to have similar problem. If I try it after boot, I can
> > access it ok, but using u-SD card for rootfs fails. If it works for
> > you, it would be interesting to know.
> 
> I haven't tried nfsroot, but I've been using USB networking for ssh
> for a couple of years without issues. I have g_ether as module.
> 
> Also I recently switched rootfs to u-SD card, and it (MMC) works fine
> as builtin.
> 
> But I'm mounting it from userspace (using builtin initramfs inside
> zImage), with a poll loop that waits for a device to appear. Maybe if you
> do it from kernel you need to use root wait/delay etc. options?

Yes, it works if I mount it later. It fails when done directly using
root=, even with rootwait etc. Hard to believe, yes, but try it. You
can watch the results on console.

									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html